package nckd.jimin.jyyy.fi.common.entity;

import java.io.Serializable;
import java.util.List;

public class MergePrintEntity implements Serializable {

    /**
     * 单据类型
     */
    private String formId;

    /**
     * 打印模板ID
     */
    private String templateId;

    /**
     * 打印单据ID
     */
    private List<Object> pkIds;

    /**
     * 打印顺序
     */
    private int index;

    private boolean isMainBill;

    public MergePrintEntity(String formId, String templateId, List<Object> pkIds) {
        this.formId = formId;
        this.templateId = templateId;
        this.pkIds = pkIds;
    }



    public MergePrintEntity(String formId, String templateId, List<Object> pkIds, int index, boolean isMainBill) {
        this.formId = formId;
        this.templateId = templateId;
        this.pkIds = pkIds;
        this.index = index;
        this.isMainBill = isMainBill;
    }

    public MergePrintEntity(String formId, String templateId, List<Object> pkIds, int index) {
        this.formId = formId;
        this.templateId = templateId;
        this.pkIds = pkIds;
        this.index = index;
        this.isMainBill = false;
    }

    public String getFormId() {
        return formId;
    }

    public void setFormId(String formId) {
        this.formId = formId;
    }

    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public List<Object> getPkIds() {
        return pkIds;
    }

    public void setPkIds(List<Object> pkIds) {
        this.pkIds = pkIds;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public boolean isMainBill() {
        return isMainBill;
    }

    public void setMainBill(boolean mainBill) {
        isMainBill = mainBill;
    }
}
